using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnCubito : MonoBehaviour {

    public GameObject cubito;
    public int cantidadInicial = 3; //Cantidad de Spawn al comienzo
    bool isEstado = false; //Se ejecuta al comienzo
    public int cantidadMax = 15; //cantidad maxima de jugadores
    int contador = 0; //inicializa la cuenta
    public int tiempoSpawn = 5; // tiempo por cada spawn
    float tiempo; //tiempo que se reinicia
    
	// Use this for initialization
	void Start () {
        if (!isEstado)
        {
            for (int i = 0; i < cantidadInicial; i++)
            {
                Spawn();
                contador++;
            }
            isEstado = false;
        }
        tiempo = Time.time; // entrega el tiempo
        
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetKeyDown(KeyCode.O))
        {
            Spawn();
        }
        float t = Time.time - tiempo;
        string segundos = (t % 60).ToString("f2");
        float seg = 0;
        float.TryParse(segundos, out seg);
        if ( seg % tiempoSpawn*1.0 == 0 && contador <= cantidadMax)
        {
            Debug.Log("segundos " + seg);
            Spawn();
            contador++;

            Debug.Log("contador " + seg);
        }

        
	}

    void Spawn() {
        Vector3 posRandom = new Vector3(Random.value - 0.5f, 2, Random.value - 0.5f);

        posRandom = Vector3.Scale(posRandom, new Vector3(100f, 1f, 100f));

        Instantiate(cubito, posRandom, Quaternion.Euler(-90, 0, 0));
    }
}
